## org.hibernate.tool.hbm2ddl
Class DatabaseMetadata

    java.lang.Object
      org.hibernate.tool.hbm2ddl.DatabaseMetadata

    public class DatabaseMetadata

extends Object

JDBC database metadata

Author:
  Christoph Sturm, Teodor Danciu

Constructor Summary
`DatabaseMetadata(Connection connection, Dialect dialect)`
`DatabaseMetadata(Connection connection, Dialect dialect, boolean extras)`

Method Summary
`TableMetadata` `getTableMetadata(String name, String schema, String catalog, boolean isQuoted)`
`boolean` `isSequence(Object key)`
`boolean` `isTable(Object key)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DatabaseMetadata

    public DatabaseMetadata(Connection connection,
                            Dialect dialect)
                     throws SQLException

Throws:
  `SQLException`

### DatabaseMetadata

    public DatabaseMetadata(Connection connection,
                            Dialect dialect,
                            boolean extras)
                     throws SQLException

Throws:
  `SQLException`

Method Detail

### getTableMetadata

    public TableMetadata getTableMetadata(String name,
                                          String schema,
                                          String catalog,
                                          boolean isQuoted)
                                   throws HibernateException

  Throws:
    `HibernateException`

### isSequence

    public boolean isSequence(Object key)

### isTable

    public boolean isTable(Object key)
                    throws HibernateException

  Throws:
    `HibernateException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.